Bug 824884 - evolution dies on SIGABRT on malloc 2-3 times per day
evolution dies on SIGABRT on malloc 2-3 times per day
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 10:01 EDT by Ingvar Hagelund
Modified: 2013-02-13 12:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 12:42:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace after SIGABRT (5.62 KB, text/plain)
2012-05-25 03:25 EDT, Ingvar Hagelund
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 669244 None None None Never

  None (edit)
Description Ingvar Hagelund 2012-05-24 10:01:08 EDT
Description of problem:
evolution dies on SIGABRT at least twice every day

Version-Release number of selected component (if applicable):
evolution-3.2.3-3.fc16.x86_64

How reproducible:
Always (for my configuration)

Steps to Reproduce:
1. Start evolution. 
2. Use it for some hours.
3. Watch it die with SIGABRT
  
Actual results:
(note Norwegian locales. "Avbrutt" means "Aborted")

evolution: malloc.c:2949: __libc_malloc: Assertion `!victim || ((((mchunkptr)((char*)(victim) - 2*(sizeof(size_t)))))->size & 0x2) || ar_ptr == (((((mchunkptr)((char*)(victim) - 2*(sizeof(size_t)))))->size & 0x4) ? ((heap_info *)((unsigned long)(((mchunkptr)((char*)(victim) - 2*(sizeof(size_t))))) & ~((2 * (4 * 1024 * 1024 * sizeof(long)))-1)))->ar_ptr : &main_arena)' failed.
Avbrutt (SIGABRT) (core dumped)

Expected results:
Stable evolution

Additional info:
I see there are some abrt reports with SIGABRT in bugzilla, so this might be a duplicate. I'll run evolution through gdb to catch a backtrace. 

Special conditions: I use evolution against two fairly large imap accounts (imapx and imap), containing several hundred thousands of email each. I always keep evolution running, that is, until it crashes.
Comment 1 Ingvar Hagelund 2012-05-25 03:25:34 EDT
Created attachment 586789 [details]
gdb backtrace after SIGABRT
Comment 2 Milan Crha 2012-05-28 02:42:21 EDT
Thanks for a bug report. There is a similar upstream bug [1]. The problem with it is that it's hard to reproduce, as memory corruption bugs use to be (at least it seems to be a memory corruption bug), because they depend heavily on used data and order of commands. I see that this happens under search folder. Do you use search folders much? If yes, then it is a problem, but if not, then maybe you could run evolution under valgrind, like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
whcih will check memory usage and possibly will be able to show where the memory corruption happened, though the evolution itself will be practically unusable due to all memory usage checking (evoltuion basically cannot run under valgrind with search folders enabled).

I would move this under the upstream bug [1], just to not duplicate the work here, but I'll wait on your reply first. Thanks in advance.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=669244
Comment 3 Ingvar Hagelund 2012-05-29 03:51:41 EDT
Yes, I use some 33 search folders, but I see similar problems on my laptop with only a handful (<10) search folders.

Well-working search folders is to me the one thing that makes evolution my preferred mua.

Ingvar
Comment 4 Milan Crha 2012-05-31 10:08:29 EDT
You might like to know that I changed search folders for 3.5.2 (development version, to be 3.6.0 stable) that they are quicker and more reliable than they used to be. I do not know what to do with this bug, though. If it was fixed either in Fedora 17 (3.4.x) or it's related to search folders, and changes in Fedora 18 (3.6.x) will fix the issue, then I guess we can just close this bug report?
Comment 5 Fedora End Of Life 2013-01-16 10:19:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 12:42:25 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.